Skip to main content
`Ctrl`+`K`

# PetscDSHasBdJacobian

Indicates that boundary Jacobian functions have been set

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSHasBdJacobian(PetscDS ds, PetscBool *hasBdJac)

Not Collective

## Input Parameter

- ds - The `PetscDS`

## Output Parameter

- hasBdJac - flag that pointwise function for the boundary Jacobian has been set

## See Also

`PetscDS`, `PetscDSHasJacobian()`, `PetscDSSetBdJacobian()`, `PetscDSGetBdJacobian()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages